#!/bin/sh

set -e
set -u

Clean_up()
{
   exit_status=${1:-$?}

   # Delete the script dir
#   if [ -n "$SCRIPT_DIR" ]; then
#      rm -rf "$SCRIPT_DIR"
#   fi

   exit $exit_status
}

BASE_DIR=`dirname $0`
PACKAGE_NAME=${BASE_DIR##*/}
cd $BASE_DIR
SCRIPT_DIR=`pwd`

trap Clean_up HUP INT QUIT TERM ERR EXIT

# Launch the PDI fixing scripts
/bin/bash $SCRIPT_DIR/vahardening/Launcher.sh

