#!/bin/bash
# This script fixes permissions of man page files
# Highest allowed perms for man page files is 644

DIRS=`find / \( -fstype nfs -o -fstype cifs -o -fstype nfs4 -o -fstype nfsd -o -fstype proc \) -prune -o -name 'man' -type d -print`

find $DIRS -type f \( ! -name makewhatis \) -perm /133 \
-exec chmod 644 '{}' \;
