#!/bin/bash
# This script checks and sets command file permissions to 755

LIBDIRS="\
/lib
/lib64
/usr/lib
/usr/lib64"

for i in $LIBDIRS
do
   for x in `find $i \( -type f -perm +022 -a ! -wholename \*usr/lib64/erlang\* \) -exec stat -c %n {} \;`
   do
      chmod 755 $x
   done
done

ERLANGDIRS="\
/usr/lib64/erlang/lib"

for i in $ERLANGDIRS
do
   for x in `find $i -type f -perm +022 -exec stat -c %n {} \;`
   do
      chmod 644 $x
   done
done
