#!/bin/bash
#

# Rule Title: All system start-up files must be owned by root.

find /etc/rc.d -name "[SK][0-9]*" | xargs stat -L -c "%U:%n" 2>/dev/null | \
	egrep -v "^root:" | cut -d: -f2 | xargs chown root 2>/dev/null 1>/dev/null

find /etc/systemd | xargs stat -L -c "%U:%n" 2>/dev/null | \
	egrep -v "^root:" | cut -d: -f2 | xargs chown root 2>/dev/null 1>/dev/null
exit 0
