#!/bin/bash
#

# Rule Title: All system start-up files must be group-owned by root, sys, bin, or other group.

find /etc/rc.d -name "[SK][0-9]*" | xargs stat -L -c "%G:%n" 2>/dev/null | \
        egrep -v "^root:" | cut -d: -f2 | xargs chgrp root 2>/dev/null 1>/dev/null

find /etc/systemd | xargs stat -L -c "%G:%n" 2>/dev/null | \
        egrep -v "^root:" | cut -d: -f2 | xargs chgrp root 2>/dev/null 1>/dev/null
exit 0
