#!/bin/bash
#

# Description: All global initialization files must be groupowned by root, sys,
#              bin, other, system, or the system default.

ls /etc/bashrc /etc/csh.cshrc /etc/csh.login /etc/environment /etc/ksh.kshrc \
   /etc/profile /etc/profile.d/* /etc/suid_profile /etc/zshrc 2>/dev/null | \
   xargs stat -L -c %G:%n|egrep -v "^root" | cut -d: -f2 | xargs chgrp root
exit 0
