#!/bin/bash
#

# Rule Title: All skeleton files (typically in /etc/skel) must be group-owned by
#       root, bin, sys, system, or other.

SKEL_DIR="/etc/skel"
test -d "$SKEL_DIR" && find "$SKEL_DIR" | xargs stat -c "%G:%n" | \
    grep -v '^root:' | cut -d ':' -f2 | \
    xargs chgrp root 2>/dev/null 1>/dev/null
exit 0
