#!/bin/bash
#

# Description: Mail relaying must be restricted.

rpm -qa | grep -q sendmail || exit 0

SENDMAIL_PACKAGE="$(rpm -qa | grep sendmail)"
SENDMAIL_CF_FILES="$(rpm -ql $SENDMAIL_PACKAGE | grep sendmail.cf)"

for FILE in $SENDMAIL_CF_FILES
do
	sed -i "/^[^#]*DaemonPortOptions=Port=/ c\O DaemonPortOptions=Addr=127.0.0.1,Port=smtp" $FILE
done
