#!/bin/bash
#
# Set the sshd_config Ciphers flag to aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr
#

grep '^[#]*Ciphers' /etc/ssh/sshd_config > /dev/null
if [ $? -ne 0 ]
then
   sed -i "116aCiphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr" /etc/ssh/sshd_config
else
   grep '^#Ciphers' /etc/ssh/sshd_config > /dev/null
   if [ $? -eq 0 ]
   then
      sed -i "/^#Ciphers/ c\Ciphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr" /etc/ssh/sshd_config
   fi

   egrep -e '^Ciphers.*aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr' /etc/ssh/sshd_config > /dev/null
   if [ $? -ne 0 ]
   then
      sed -i 's/\(^Ciphers\).*/Ciphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr/g' /etc/ssh/sshd_config
   fi
fi
