#!/bin/bash
# This script sets up TCP wrappers hosts.deny files

HOSTS_ALLOW_FILE=/etc/hosts.allow
HOSTS_DENY_FILE=/etc/hosts.deny
HOSTALLOWCHECK=`egrep -c '*ALL: KNOWN' $HOSTS_ALLOW_FILE`
if [ -f $HOSTS_ALLOW_FILE -a $HOSTALLOWCHECK -ne 0 ]
then
   sed -i '/ALL: KNOWN/d' $HOSTS_ALLOW_FILE
fi

HOSTDENY=$( egrep -c '*ALL:' $HOSTS_DENY_FILE )

if [ -f $HOSTS_DENY_FILE -a $HOSTDENY -eq 0 ]
then
   echo "ALL: ALL" >> $HOSTS_DENY_FILE
else
   sed -i "/^[^#]*ALL:/ c\ALL: ALL" $HOSTS_DENY_FILE
fi
