#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
IPFORWARD=/proc/sys/net/ipv4/ip_forward

if [ -e $IPFORWARD ]; then
   IPFORWARD_VALUE=$( cat $IPFORWARD )
   if [ $IPFORWARD_VALUE -ne 0 ]; then
      sed -i -e '/^net.ipv4.ip_forward=/d' $SYSCTLCONF
      echo "net.ipv4.ip_forward=0" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
