#!/bin/bash
# Dynmic DNS update must be disabled. By default, photon does not have ddclient.service enabled. So check if and update based on that
if [ -e /etc/ddclient/ddclient.conf ]; then

        FORWARD=$( egrep -c *do-forward-updates /etc/ddclient/ddclient.conf )

        if [ $FORWARD -eq 0 ]; then
	    echo "do-forward-updates false" >> /etc/ddclient/ddclient.conf
	else
	    sed -i "/^[^#]*do-forward-updates/ c\do-forward-updates false" /etc/ddclient/ddclient.conf
	fi
fi
