#!/bin/bash
# Ensure that /sbin/mount.nfs has permissions 755.
set -e

trap Clean_up HUP INT QUIT TERM ERR EXIT

SCRIPT_NAME=$(basename "${0%.sh}")
MOUNT_NFS="$(which mount.nfs 2>/dev/null)"

test -n "$MOUNT_NFS" && test chmod 755 "$MOUNT_NFS"
