#!/bin/bash
# Ensure that /usr/bin/{wall, write} has permissions 755.
set -e

trap Clean_up HUP INT QUIT TERM ERR EXIT

SCRIPT_NAME=$(basename "${0%.sh}")
for file in /usr/bin/wall /usr/bin/write
do
    if [ -e $file ]
    then
        chmod 755 $file
    fi
done
