#!/bin/bash
# Ensure that /usr/bin/tdnf has 755 permissions
set -e

trap Clean_up HUP INT QUIT TERM ERR EXIT

SCRIPT_NAME=$(basename "${0%.sh}")
TDNF="`which tdnf`"

if [ -n $TDNF -a -e $TDNF ]
then
    chmod 755 "$TDNF"
fi
