#!/bin/bash
# No files or sub-directories of '/usr/src/packages' should have sticky bit
set -e

trap Clean_up HUP INT QUIT TERM ERR EXIT

SCRIPT_NAME=$(basename "${0%.sh}")

if [ -d /usr/src/packages ]
then
    find /usr/src/packages/ -xdev \( -perm -1000 \) -exec chmod 755 '{}' \;
fi
