#!/bin/bash
#
# Fixes for GEN000240, GEN000241, GEN000242
#

grep '^[#]*server time.nist.gov burst iburst' /etc/ntp.conf > /dev/null
if [ $? -ne 0 ]
then
   sed -i "42a#server time.nist.gov burst iburst" /etc/ntp.conf
else
   grep '^server time.nist.gov burst iburst' /etc/ntp.conf > /dev/null
   if [ $? -eq 0 ]
   then
      sed -i "/^server time.nist.gov burst iburst/ c\#server time.nist.gov burst iburst" /etc/ntp.conf
   fi
fi

FILE="/etc/cron.d/timesync"

if [ -f "$FILE" ]
then
   rm -rf $FILE
   echo "#59 * * * * root /usr/sbin/ntpd -qg >/dev/null 2>&1" >> $FILE
   chmod 600 $FILE
else
   touch $FILE
   echo "#59 * * * * root /usr/sbin/ntpd -qg >/dev/null 2>&1" >> $FILE
   chmod 600 $FILE
fi

