#!/bin/bash

HOMEDIRS="\
/root
/etc/skel"

for i in $HOMEDIRS
do
   find $i -type d \( -fstype nfs -o -fstype cifs -o -fstype nfs4 -o -fstype nfsd \) -prune -o ! \( -name .login -o -name .cshrc -o -name .logout -o -name .profile -o -name .bash_profile -o -name .bbashrc -o -name .env -o -name .dtprofile -o -name .dispatch -o -name .emacs -o -name .exrc \) \( -perm -0001 -o -perm -0002 -o -perm -0004 -o -perm -0020 -o -perm -2000 -o -perm -4000 \) -exec chmod 750 {} \;

   find $i -type f \( -fstype nfs -o -fstype cifs -o -fstype nfs4 -o -fstype nfsd \) -prune -o ! \( -name .login -o -name .cshrc -o -name .logout -o -name .profile -o -name .bash_profile -o -name .bbashrc -o -name .env -o -name .dtprofile -o -name .dispatch -o -name .emacs -o -name .exrc \) \( -perm -0001 -o -perm -0002 -o -perm -0004 -o -perm -0020 -o -perm -2000 -o -perm -4000 \) -exec chmod 640 {} \;

   rm -rf $i/bin
   rm -rf $i/.mozilla
done


