#!/bin/bash
#

# Rule Title: All skeleton files and directories (typically in /etc/skel) must
#              be owned by root or bin.

SKEL_DIR="/etc/skel"
test -d "$SKEL_DIR" && find "$SKEL_DIR" | xargs stat -c "%U:%n" | \
	grep -v '^root:' | cut -d ':' -f2 | \
	xargs chown root 2>/dev/null 1>/dev/null
exit 0
