#!/bin/bash
#
for PWLINE in $(cut -d: -f4,6,7 /etc/passwd); do
   GROUP=$(echo ${PWLINE} | cut -d: -f1)
   HOMEDIR=$(echo ${PWLINE} | cut -d: -f2)
   USERSHELL=$(echo ${PWLINE} | cut -d: -f3)
   if [ ${USERSHELL} != "/bin/false" ] && [ ${USERSHELL} != "/sbin/nologin" ]; then
      FILES=$(find ${HOMEDIR} \( -fstype nfs -o -fstype cifs -o -fstype nfs4 -o -fstype nfsd \) -prune -o ! -wholename \*bin\* -type f -name '\.*')
      for INIFILE in ${FILES}; do
         GID=$(stat -c %g ${INIFILE})
         test "$GROUP" = "${GID}" || chgrp ${GROUP} ${INIFILE}
      done;
   fi
done

