#!/bin/bash
# Making a cron job runs daily to rotate using audit 
if [ -e /etc/audit/auditd.conf ]; then
    sed -i "/^[^#]*max_log_file_action/ c\max_log_file_action = IGNORE" /etc/audit/auditd.conf
fi
echo "#!/bin/bash
service auditd rotate" >> /etc/cron.daily/audit-rotate
chown root:root /etc/cron.daily/audit-rotate
chmod 700 /etc/cron.daily/audit-rotate
