#!/bin/bash
# This script sets the specified sysctl parameter to the specified value

SYSCTLCONF=/etc/sysctl.conf
SYNBACKLOG=/proc/sys/net/ipv4/tcp_max_syn_backlog

if [ -e $SYNBACKLOG ]; then
   SYNBACKLOG_VALUE=$( cat $SYNBACKLOG )
   if [ $SYNBACKLOG_VALUE -ne 1280 ]; then
      sed -i -e '/^net.ipv4.tcp_max_syn_backlog=/d' $SYSCTLCONF
      echo "net.ipv4.tcp_max_syn_backlog=1280" >> $SYSCTLCONF
   fi
fi

sysctl -p > /dev/null
