#!/bin/bash
#

# Description: Sendmail logging must not be set to less than nine in the
#              sendmail.cf file.

rpm -qa | grep -q sendmail || exit 0

SENDMAIL_PACKAGE="$(rpm -qa | grep sendmail)"
SENDMAIL_CF_FILES="$(rpm -ql $SENDMAIL_PACKAGE | grep sendmail.cf)"

for FILE in $SENDMAIL_CF_FILES
do
	sed -i "/^[^#]*LogLevel/ c\O LogLevel=9" $FILE
done
