#!/bin/bash
#

# Description: The SMTP service's SMTP greeting must not provide version
#              information.

rpm -qa | grep -q sendmail || exit 0

SENDMAIL_PACKAGE="$(rpm -qa | grep sendmail)"
SENDMAIL_CF_FILES="$(rpm -ql $SENDMAIL_PACKAGE | grep sendmail.cf)"

for FILE in $SENDMAIL_CF_FILES
do
	sed -i "/^[^#]*SmtpGreetingMessage/ c\O SmtpGreetingMessage=Mail Server Ready ; \$b" $FILE
done
