#!/bin/bash
#
# Set the ssh_config Ciphers flag to aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr
#

grep '^[#]*Ciphers' /etc/ssh/ssh_config > /dev/null
if [ $? -ne 0 ]
then
   echo "Ciphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr" >> /etc/ssh/ssh_config
else
   grep '^#Ciphers' /etc/ssh/ssh_config > /dev/null
   if [ $? -eq 0 ]
   then
      sed -i "/^#Ciphers/ c\Ciphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr" /etc/ssh/ssh_config
   fi

   egrep -e '^Ciphers.*aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr' /etc/ssh/ssh_config > /dev/null
   if [ $? -ne 0 ]
   then
      sed -i 's/\(^Ciphers\).*/Ciphers aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr/g' /etc/ssh/ssh_config
   fi
fi
