#!/bin/bash
#
# Set the sshd_config MACs flag to hmac-sha2-512-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-512,hmac-sha2-256,hmac-sha1
#

grep '^[#]*MACs' /etc/ssh/sshd_config > /dev/null
if [ $? -ne 0 ]
then
   sed -i "117aMACs hmac-sha2-512-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-512,hmac-sha2-256,hmac-sha1" /etc/ssh/sshd_config
else
   grep '^#MACs' /etc/ssh/sshd_config > /dev/null
   if [ $? -eq 0 ]
   then
      sed -i "/^#MACs/ c\MACs hmac-sha2-512-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-512,hmac-sha2-256,hmac-sha1" /etc/ssh/sshd_config
   fi

   egrep -e '^MACs.*hmac-sha2-512-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-512,hmac-sha2-256,hmac-sha1' /etc/ssh/sshd_config > /dev/null
   if [ $? -ne 0 ]
   then
      sed -i 's/\(^MACs\).*/MACs hmac-sha2-512-etm@openssh.com,hmac-sha2-256-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-512,hmac-sha2-256,hmac-sha1/g' /etc/ssh/sshd_config
   fi
fi
