#!/bin/bash

# This script outputs a list of files to be chmod'ed in the format
# 'path:max_perm:PDI'
# It is run from the top level script
# Add any code which generates a list of files to be chmod'ed here

# --Begin GEN003080--
PERM=700
DIRLIST=`find /etc -type d -name 'cron*'`
echo "# Begin GEN003080"
find $DIRLIST -type f -exec echo '{}:'$PERM:GEN003080 \;
echo "# End GEN003080"
# --End GEN003080--

# --Begin GEN005340--
PERM=640
find / \( -fstype nfs -o -fstype cifs -o -fstype nfs4 -o -fstype nfsd \) -prune -o -type f -name '*.mib' 2>/dev/null -exec echo '{}:'$PERM:GEN005340 \;
# --End GEN005340--

# --Begin VMW-BZ-788922--
# Fix PR#1658642 , Commenting below as home directory for nobody user in Photon OS is /dev/null and it should be  writable for others. 
#grep "^nobody:" /etc/passwd | awk -F':' '{ print $6":750:VMW-BZ-788922" }'
# --End VMW-BZ-788922 --

